Notify tenant of rent readjustment
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}/notify \
--header 'api_access_token: <api-key>'const options = {method: 'POST', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}/notify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}/notify"
headers = {"api_access_token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": 123,
"subscription_id": 123,
"status": "<string>",
"regime": "<string>",
"previous_amount": 123,
"price_since": "2023-12-25",
"eligible_on": "2023-12-25",
"effective_on": "2023-12-25",
"raise_index": "<string>",
"index_year": 123,
"index_rate": 123,
"cap_percent_of_index": 123,
"cap_amount": 123,
"proposed_amount": 123,
"currency": "<string>",
"rules": {},
"tenant_name": "<string>",
"property_address": "<string>",
"dual_approval": true,
"prepared_by_name": "<string>",
"prepared_at": "2023-11-07T05:31:56Z",
"approved_by_name": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"dismissed_by_name": "<string>",
"dismissed_at": "2023-11-07T05:31:56Z",
"notified_by_name": "<string>",
"notified_at": "2023-11-07T05:31:56Z",
"actions": {
"edit": true,
"submit": true,
"approve": true,
"dismiss": true,
"notify": true
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Treasury Rent Readjustments
Notify tenant of rent readjustment
Send the approved raise notice to the tenant. Only approved raises can be notified.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
rent_readjustments
/
{id}
/
notify
Notify tenant of rent readjustment
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}/notify \
--header 'api_access_token: <api-key>'const options = {method: 'POST', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}/notify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}/notify"
headers = {"api_access_token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": 123,
"subscription_id": 123,
"status": "<string>",
"regime": "<string>",
"previous_amount": 123,
"price_since": "2023-12-25",
"eligible_on": "2023-12-25",
"effective_on": "2023-12-25",
"raise_index": "<string>",
"index_year": 123,
"index_rate": 123,
"cap_percent_of_index": 123,
"cap_amount": 123,
"proposed_amount": 123,
"currency": "<string>",
"rules": {},
"tenant_name": "<string>",
"property_address": "<string>",
"dual_approval": true,
"prepared_by_name": "<string>",
"prepared_at": "2023-11-07T05:31:56Z",
"approved_by_name": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"dismissed_by_name": "<string>",
"dismissed_at": "2023-11-07T05:31:56Z",
"notified_by_name": "<string>",
"notified_at": "2023-11-07T05:31:56Z",
"actions": {
"edit": true,
"submit": true,
"approve": true,
"dismiss": true,
"notify": true
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the rent readjustment
The numeric ID of the account
Response
Success
Show child attributes
Show child attributes